#
# spec file for package python-recommonmark
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-recommonmark
Version:        0.4.0
Release:        lp150.1.3
Summary:        Python docutils-compatibility bridge to CommonMark
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/rtfd/recommonmark
Source0:        https://files.pythonhosted.org/packages/source/r/recommonmark/recommonmark-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/rtfd/recommonmark/master/license.md
# PATCH-FIX-UPSTREAM fix-commonmark-compatibility.patch sebix+novell.com@sebix.at -- fix commonmark renamings
Patch0:         fix-commonmark-compatibility.patch
BuildRequires:  %{python_module CommonMark}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module docutils}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-CommonMark
Requires:       python-docutils
%ifpython2
Obsoletes:      %{oldpython}-reCommonMark < %{version}
Provides:       %{oldpython}-reCommonMark = %{version}
%endif
%ifpython3
Provides:       python3-reCommonMark = %{version}
Obsoletes:      python3-reCommonMark < %{version}
%endif
Requires(post):   update-alternatives
Requires(preun):  update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
A python docutils-compatibility bridge to CommonMark.

This allows you to write CommonMark inside of Docutils & Sphinx projects.

Documentation is available on Read the Docs:
http://recommonmark.readthedocs.org

%prep
%setup -q -n recommonmark-%{version}
%patch0
# Remove upstream's egg-info
rm -rf %{pypi_name}.egg-info
#Add missing license and readme
cp -a %{SOURCE1} .
# find and remove unneeded shebangs
find recommonmark -name "*.py" | xargs sed -i '1 {/^#!/ d}'

%build
%python_build

%install
%python_install
%fdupes %{buildroot}%{_prefix}

%python_clone -a %{buildroot}%{_bindir}/cm2html
%python_clone -a %{buildroot}%{_bindir}/cm2latex
%python_clone -a %{buildroot}%{_bindir}/cm2man
%python_clone -a %{buildroot}%{_bindir}/cm2pseudoxml
%python_clone -a %{buildroot}%{_bindir}/cm2xetex
%python_clone -a %{buildroot}%{_bindir}/cm2xml

%post
%{python_install_alternative cm2man cm2latex cm2xetex cm2pseudoxml cm2html cm2xml}

%preun
%python_uninstall_alternative cm2man

%files %{python_files}
%defattr(-,root,root,-)
%doc license.md
%python_alternative %{_bindir}/cm2html
%python_alternative %{_bindir}/cm2latex
%python_alternative %{_bindir}/cm2man
%python_alternative %{_bindir}/cm2pseudoxml
%python_alternative %{_bindir}/cm2xetex
%python_alternative %{_bindir}/cm2xml
%{python_sitelib}/recommonmark/
%{python_sitelib}/recommonmark-%{version}-py*.egg-info

%changelog
* Thu Jul 20 2017 sebix+novell.com@sebix.at
- add fix-commonmark-compatibility.patch to fix imported names
* Sat May  6 2017 toddrme2178@gmail.com
- Fix Provides/Obsoletes.
* Thu Apr  6 2017 toddrme2178@gmail.com
- Remove README since the upstream link changes unpredictably and
  there is no consistent way to pick a particular version.
* Mon Apr  3 2017 toddrme2178@gmail.com
- Initial python singlepsec version.
* Thu May 19 2016 toddrme2178@gmail.com
- Update to version 0.4.0
  * No upstream changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Dec 10 2015 bruno@ioda-net.ch
- Initial packaging on obs
